Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.servicegen
Interface CustomTemplateBasedImplCartridge

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, LogicImplCartridge, org.eclipse.emf.common.notify.Notifier

    public interface CustomTemplateBasedImplCartridge

extends LogicImplCartridge

A representation of the model object 'Custom Template Based Impl Cartridge'. [[ TODO - add documentation here ]]

The following features are supported:

- `Template`

See Also:
  `ServicegenPackage.getCustomTemplateBasedImplCartridge()`

Method Summary
`java.lang.String` | `getTemplate()` Returns the value of the 'Template' attribute
`void` | `setTemplate(java.lang.String value)` Sets the value of the '`Template`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getTemplate

    java.lang.String getTemplate()

  Returns the value of the 'Template' attribute.

  If the meaning of the 'Template' attribute isn't clear, there really should be more of a description here...

  [[ TODO - add documentation here ]]

  Returns:
    the value of the 'Template' attribute.
  See Also:
    `setTemplate(String)`, `ServicegenPackage.getCustomTemplateBasedImplCartridge_Template()`

### setTemplate

    void setTemplate(java.lang.String value)

  Sets the value of the '`Template`' attribute.

  Parameters:
    `value` - the new value of the 'Template' attribute.
  See Also:
    `getTemplate()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD